Skip to main content
GET
/
market-data
/
market-cap
Get Token Market Cap
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/market-data/market-cap \
  --header 'X-API-KEY: <api-key>'
{}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

id
string

The ID of the coin to get market cap of

Example:

"cg:ethereum"

symbol
string
default:ETH

Symbol of coin to get market cap of

Example:

"ETH"

chainId
string

Unique identifier for a blockchain network.

Example:

"1"

tokenAddress
string

The address of the token to query.

includeAllCurrencies
boolean

Whether to get marketcap in all currencies

currency
string
default:USD

Target currency (USD, EUR, JPY, etc)

Example:

"USD,EUR,JPY"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
CoinGecko,
CoinMarketCap,
CryptoCompare

Response

200 - application/json

The response is of type object.